import React from 'react';
import { connect } from 'dva';
import ReactMarkdown from 'react-markdown';
import 'github-markdown-css';
import mdIndex from './index.md';
import mdAuth from './auth.md';
import route from '../../../../components/hoc/routes';

const md = mdString => () => <ReactMarkdown className="markdown-body" source={mdString} />;

export default connect(({ apiDoc }) => ({ apiDoc }))(route({
  indexRoute: {
    component: md(mdIndex),
  },
  childRoutes: [
    {
      path: 'auth',
      name: '登录与验证',
      component: md(mdAuth),
    },
  ],
}));
